description

# AccessibleNode class Null safety

Inheritance
  - Object
  - EventTarget
  - AccessibleNode
Annotations
  - @Native("AccessibleNode")

## Constructors

AccessibleNode()
  factory

## Properties

activeDescendant ↔ AccessibleNode?
  read / write
atomic ↔ bool?
  read / write
autocomplete ↔ String?
  read / write
busy ↔ bool?
  read / write
checked ↔ String?
  read / write
colCount ↔ int?
  read / write
colIndex ↔ int?
  read / write
colSpan ↔ int?
  read / write
controls ↔ AccessibleNodeList?
  read / write
current ↔ String?
  read / write
describedBy ↔ AccessibleNodeList?
  read / write
details ↔ AccessibleNode?
  read / write
disabled ↔ bool?
  read / write
errorMessage ↔ AccessibleNode?
  read / write
expanded ↔ bool?
  read / write
flowTo ↔ AccessibleNodeList?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
hasPopUp ↔ String?
  read / write
hidden ↔ bool?
  read / write
invalid ↔ String?
  read / write
keyShortcuts ↔ String?
  read / write
label ↔ String?
  read / write
labeledBy ↔ AccessibleNodeList?
  read / write
level ↔ int?
  read / write
live ↔ String?
  read / write
modal ↔ bool?
  read / write
multiline ↔ bool?
  read / write
multiselectable ↔ bool?
  read / write
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onAccessibleClick → Stream<Event>
  read-only
onAccessibleContextMenu → Stream<Event>
  read-only
onAccessibleDecrement → Stream<Event>
  read-only
onAccessibleFocus → Stream<Event>
  read-only
onAccessibleIncrement → Stream<Event>
  read-only
onAccessibleScrollIntoView → Stream<Event>
  read-only
orientation ↔ String?
  read / write
owns ↔ AccessibleNodeList?
  read / write
placeholder ↔ String?
  read / write
posInSet ↔ int?
  read / write
pressed ↔ String?
  read / write
readOnly ↔ bool?
  read / write
relevant ↔ String?
  read / write
required ↔ bool?
  read / write
role ↔ String?
  read / write
roleDescription ↔ String?
  read / write
rowCount ↔ int?
  read / write
rowIndex ↔ int?
  read / write
rowSpan ↔ int?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
selected ↔ bool?
  read / write
setSize ↔ int?
  read / write
sort ↔ String?
  read / write
valueMax ↔ num?
  read / write
valueMin ↔ num?
  read / write
valueNow ↔ num?
  read / write
valueText ↔ String?
  read / write

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
appendChild(AccessibleNode child) → void
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

accessibleClickEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('accessibleclick')`
accessibleContextMenuEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('accessiblecontextmenu')`
accessibleDecrementEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('accessibledecrement')`
accessibleFocusEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('accessiblefocus')`
accessibleIncrementEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('accessibleincrement')`
accessibleScrollIntoViewEvent → const EventStreamProvider<Event>
  `const EventStreamProvider<Event>('accessiblescrollintoview')`